Freeciv-3.1: packet_player_diplstate Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_player_diplstate Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | diplstate_id
int | plr1
int | plr2
enum diplstate_type | type
int | turns_left
int | has_reason_to_cancel
int | contact_turns_left

## Detailed Description

Definition at line 598 of file packets_gen.h.

## Field Documentation

## ◆ contact_turns_left

int packet_player_diplstate::contact_turns_left

Definition at line 605 of file packets_gen.h.

Referenced by handle_player_diplstate(), package_player_diplstate(), and send_packet_player_diplstate_100().

## ◆ diplstate_id

int packet_player_diplstate::diplstate_id

Definition at line 599 of file packets_gen.h.

Referenced by package_player_diplstate(), receive_packet_player_diplstate_100(), and send_packet_player_diplstate_100().

## ◆ has_reason_to_cancel

int packet_player_diplstate::has_reason_to_cancel

Definition at line 604 of file packets_gen.h.

Referenced by handle_player_diplstate(), package_player_diplstate(), and send_packet_player_diplstate_100().

## ◆ plr1

int packet_player_diplstate::plr1

Definition at line 600 of file packets_gen.h.

Referenced by handle_player_diplstate(), package_player_diplstate(), send_packet_player_diplstate_100(), and send_player_diplstate_c_real().

## ◆ plr2

int packet_player_diplstate::plr2

Definition at line 601 of file packets_gen.h.

Referenced by handle_player_diplstate(), package_player_diplstate(), send_packet_player_diplstate_100(), and send_player_diplstate_c_real().

## ◆ turns_left

int packet_player_diplstate::turns_left

Definition at line 603 of file packets_gen.h.

Referenced by handle_player_diplstate(), package_player_diplstate(), and send_packet_player_diplstate_100().

## ◆ type

enum diplstate_type packet_player_diplstate::type

Definition at line 602 of file packets_gen.h.

Referenced by handle_player_diplstate(), package_player_diplstate(), and send_packet_player_diplstate_100().